## EBookBackendSExp EBookBackendSExp — A utility for comparing EContacts or vcards with search expressions. |

## Functions

EBookBackendSExp * | e_book_backend_sexp_new ()
const gchar * | e_book_backend_sexp_text ()
gboolean | e_book_backend_sexp_match_vcard ()
gboolean | e_book_backend_sexp_match_contact ()

## Types and Values

struct | EBookBackendSExp
struct | EBookBackendSExpClass

## Includes

    #include <libedata-book/libedata-book.h>

## Description

This API is an all purpose utility for comparing EContacts with search expressions generated by EBookQuery.

## Functions

### e_book_backend_sexp_new ()

    EBookBackendSExp *
    e_book_backend_sexp_new (const gchar *text);

Creates a new EBookBackendSExp from `text` .

#### Parameters

text | an s-expression to parse |

#### Returns

a new EBookBackendSExp

### e_book_backend_sexp_text ()

    const gchar *
    e_book_backend_sexp_text (EBookBackendSExp *sexp);

Retrieve the text expression for the given EBookBackendSExp object.

#### Parameters

sexp | an EBookBackendSExp |

#### Returns

the text expression

Since: 3.8

### e_book_backend_sexp_match_vcard ()

    gboolean
    e_book_backend_sexp_match_vcard (EBookBackendSExp *sexp,
                                     const gchar *vcard);

Checks if `vcard` matches `sexp` .

#### Parameters

sexp | an EBookBackendSExp |
vcard | a vCard string |

#### Returns

`TRUE` if the vCard matches, `FALSE` otherwise

### e_book_backend_sexp_match_contact ()

    gboolean
    e_book_backend_sexp_match_contact (EBookBackendSExp *sexp,
                                       EContact *contact);

Checks if `contact` matches `sexp` .

#### Parameters

sexp | an EBookBackendSExp |
contact | an EContact |

#### Returns

`TRUE` if the contact matches, `FALSE` otherwise

## Types and Values

### struct EBookBackendSExp

    struct EBookBackendSExp {
    };

### struct EBookBackendSExpClass

    struct EBookBackendSExpClass {
    };